Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.property
Class DirectoryProperty.PropertyComparator

    java.lang.Object
      org.apache.poi.poifs.property.DirectoryProperty.PropertyComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  DirectoryProperty

    public static class DirectoryProperty.PropertyComparator

extends java.lang.Object
implements java.util.Comparator

Constructor Summary
`DirectoryProperty.PropertyComparator()`

Method Summary
`int` | `compare(java.lang.Object in_o1, java.lang.Object in_o2)` compare method.
`boolean` | `equals(java.lang.Object o)` Object equality, implemented as object identity

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryProperty.PropertyComparator

    public DirectoryProperty.PropertyComparator()

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Object equality, implemented as object identity

  Specified by:
    `equals` in interface `java.util.Comparator`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object we're being compared to
  Returns:
    true if identical, else false

### compare

    public int compare(java.lang.Object in_o1,
                       java.lang.Object in_o2)

  compare method. Assumes both parameters are non-null instances of Property. One property is less than another if its name is shorter than the other property's name. If the names are the same length, the property whose name comes before the other property's name, alphabetically, is less than the other property.

  Specified by:
    `compare` in interface `java.util.Comparator`
  Parameters:
    `o1` - first object to compare, better be a Property
    `o2` - second object to compare, better be a Property
  Returns:
    negative value if o1 < o2, zero if o1 == o2, positive value if o1 > o2.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD